Package Details: emoji-keyboard-git r627.51c6efeb1-2

Git Clone URL: https://aur.archlinux.org/emoji-keyboard-git.git (read-only, click to copy)
Package Base: emoji-keyboard-git
Description: Virtual keyboard-like emoji picker for linux (wayland disabled)
Upstream URL: https://github.com/OzymandiasTheGreat/emoji-keyboard
Keywords: emoji keyboard
Licenses: GPL3
Conflicts: emoji-keyboard
Provides: emoji-keyboard
Submitter: allencch
Maintainer: None
Last Packager: allencch
Votes: 2
Popularity: 0.000058
First Submitted: 2017-03-30 16:06
Last Updated: 2020-02-18 13:28

Latest Comments

1 2 Next › Last »

allencch commented on 2020-03-06 03:31

Thanks @kristerv

I have disowned the package. I also tried the AppImage from the official site, but it fails to run as well.

kristerv commented on 2020-03-05 14:48

I tagged this as orphan since it doesn't actually work and I understand it's in need of a new maintainer (@qubidt?). Not sure if this was the correct flag, but it helps to have some flag when choosing what to install.

allencch commented on 2020-02-29 14:43

@qubidt, thanks for pointing out. Looks like the latest source code has a lot of changes. I failed to build from source.

I am going to disown this package, if there is someone else would like to maintain it.

qubidt commented on 2020-02-25 16:30

How is this supposed to be run? With the current rev, the main.py seems to be the application script, and I don't see any other files in $pkgdir/usr/bin. I modified the package() to have:

  sed -i '1s|^|#!/usr/bin/env python\n|' "$pkgdir/usr/bin/main.py"
  mv "$pkgdir/usr/bin/main.py" "$pkgdir/usr/bin/emoji-keyboard"

Not sure if this is the right way to go, I haven't used this package before.

Also:

install_requires is ignored since we're using python setup.py install --root=..., causing:

Traceback (most recent call last):
  File "/usr/bin/emoji-keyboard", line 2, in <module>
    from macpy import Keyboard
ModuleNotFoundError: No module named 'macpy'

I don't see a python-klembord or python-macpy package in the main repos or the aur, so how are the dependencies resolved?

allencch commented on 2020-02-18 13:28

@mahmoudhossam Thanks for suggestion. Removed

mahmoudhossam commented on 2020-02-18 12:11

The new version adds main.py to /usr/bin/ which is not a valid executable.

Maybe the PKGBUILD needs a revision?

clpwn commented on 2019-03-28 06:33

This fails to build for me.

Traceback (most recent call last):
  File "setup.py", line 5, in <module>
    from lib.emoji_shared import version
ImportError: No module named lib.emoji_shared

allencch commented on 2018-11-23 13:26

@NatOsaka , done

NatOsaka commented on 2018-11-23 12:10

python-gobject is also needed.

allencch commented on 2018-11-21 04:58

@pebby, updated.